{% extends 'base.html.twig' %}

{% block title %}Notre Carte{% endblock %}

{% block body %}
    <h2 class="title-card">{{ product.name }}</h2>

    <table class="table">
        <tbody>
            {# <tr>
                <th>Id</th>
                <td>{{ product.id }}</td>
            </tr> #}
            {# <tr>
                <th>Nom</th>
                <td>{{ product.name }}</td>
            </tr> #}
            <tr>
                <th>Image</th>
                <td>
                    <img src= {{ asset ('uploads/' ~ product.image)}} width="100%" />
                </td>
            </tr>
            <tr>
                <th>Description</th>
                <td>{{ product.description }}</td>
            </tr>
            <tr>
                <th>Prix</th>
                <td>{{ product.price }}€</td>
            </tr>
            <tr>
                <th>Disponibilité</th>
                <td>
                {% if product.dispo  %} 
                    <span><i class="fas fa-check-circle fa-3x" style="color:#0fb115"></i></span>
                {% else %}
                     <span><i class="fas fa-times-circle fa-3x" style="color:#e74c3c"></i></span>
                {% endif %}        
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_products_index') }}">Retour à la liste</a>
    {% if is_granted("ROLE_ADMIN") %}
    <a href="{{ path('app_products_edit', {'id': product.id}) }}">Editer</a>
    {% endif %}
    {{ include('products/_delete_form.html.twig') }}
{% endblock %}
